In app notifications

List In-App Notifications

GET
/orgs/{organizationId}/in-app-notifications

Lists the caller's own in-app notifications, newest first. Pass unread=true for unread items only.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""notificationDeliveryId""status""notificationType""userId""title""body""url""data""icon""urgency""errorMessage""readAt""createdAt""updatedAt""sentAt"
sortDir?string
Value in"asc""desc"
include?|array<>|string
status?|array<>|
notificationType?|array<>|
urgency?|array<>|
readAt?|null
createdAt?|null
updatedAt?|null
sentAt?|null
notificationDeliveryId?string|array<string>|
title?string|array<string>|
body?string|array<string>|
url?string|array<string>|
icon?string|array<string>|
errorMessage?string|array<string>|
data?
unread?boolean|string|number|null

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/in-app-notifications'
null